# $Revision: 1.110 $, $Date: 2012/06/13 19:25:30 $
#
# TODO: check why build requires libselinux-devel (because of some gnome* stuff)
#
# Conditional build
%bcond_without	xft		# Don't use xft scalable font database
%bcond_without	gnomevfs	# Don't use gnome vfs for loading files
%bcond_without	mmx		# Force building without MMX optimazation (Default: auto-detect)
%bcond_with	inkboard	# Enable inkboard support
%bcond_with	relocation	# Enable binary relocation support
#

# just set it nil when non-preview arrives
%define beta %{nil}

Summary:	Scalable vector graphics editor
Summary(pl.UTF-8):	Edytor skalowalnej grafiki wektorowej
Name:		inkscape
Version:	0.48.2
Release:	10
License:	GPL v2+, LGPL v2.1+
Group:		X11/Applications/Graphics
Source0:	http://downloads.sourceforge.net/inkscape/%{name}-%{version}%{beta}.tar.bz2
# Source0-md5:	f60b98013bd1121b2cc301f3485076ba
# workaround for https://bugs.launchpad.net/inkscape/+bug/487038
Patch0:		%{name}-ldl.patch
Patch1:		%{name}-0.48.1-libpng15.patch
Patch2:		inkscape-0.48.2-glib.patch
Patch3:		inkscape-poppler.patch
URL:		http://www.inkscape.org/
BuildRequires:	ImageMagick-c++-devel
BuildRequires:	aspell-devel
BuildRequires:	autoconf >= 2.59-3
BuildRequires:	automake >= 1:1.9.4-2
BuildRequires:	boost-devel >= 1.35.0
BuildRequires:	cairo-devel >= 1.8.0
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	gc-devel >= 6.4
BuildRequires:	gettext-devel
BuildRequires:	glibmm-devel >= 2.16.0
%{?with_gnomevfs:BuildRequires:	gnome-vfs2-devel >= 2.15.2}
BuildRequires:	gsl-devel
BuildRequires:	gtk+2-devel >= 2:2.14.0
BuildRequires:	gtkmm-devel >= 2.10.0
BuildRequires:	gtkspell-devel >= 2.0.11
BuildRequires:	intltool >= 0.35.0
BuildRequires:	lcms-devel >= 1.15
BuildRequires:	libpng-devel >= 1.2
BuildRequires:	libsigc++-devel >= 2.0.17
BuildRequires:	libstdc++-devel >= 6:4.2.2-2
BuildRequires:	libtool
BuildRequires:	libwpg-devel
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	libxslt-devel >= 1.1.17
%{?with_inkboard:BuildRequires:	loudmouth-devel >= 1.0.3}
BuildRequires:	pkgconfig
BuildRequires:	poppler-glib-devel >= 0.12.2
BuildRequires:	popt-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
%{?with_xft:BuildRequires:	xorg-lib-libXft-devel}
BuildRequires:	zlib-devel
Requires(post,postun):	desktop-file-utils
Requires:	gc >= 6.4
%{?with_gnomevfs:Requires:	gnome-vfs2 >= 2.15.2}
Requires:	gtk+2 >= 2:2.14.0
Requires:	perl-XML-XQL
Suggests:	python-lxml
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Inkscape is a program for viewing, making, and editing two-dimensional
vector drawings.

%description -l pl.UTF-8
Inkscape jest programem do przeglądania, tworzenia i edycji
dwuwymiarowej grafiki wektorowej.

%prep
%setup -q -n %{name}-%{version}%{beta}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%{__rm} po/en_US@piglatin.po
%{__sed} -i -e 's|en_US@piglatin||' configure.ac

mv po/te_IN.po po/te.po
%{__sed} -i -e 's|te_IN|te|' configure.ac

%build
%{__libtoolize}
%{__glib_gettextize}
%{__intltoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-silent-rules \
	%{!?with_xft: --without-xft} \
	%{!?with_gnomevfs:--without-gnome-vfs} \
	%{!?with_mmx:--disable-mmx} \
	%{?with_relocation:--enable-binreloc} \
	%{?with_inkboard:--enable-inkboard}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_desktop_database_post

%postun
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TRANSLATORS doc/HACKING.txt
%lang(ca) %doc README.ca.txt
%lang(de) %doc README.de.txt
%lang(es) %doc README.es.txt
%lang(fr) %doc README.fr.txt
%lang(it) %doc README.it.txt
%lang(de) %doc doc/HACKING.de.txt
%lang(fr) %doc doc/HACKING.fr.txt
%lang(it) %doc doc/HACKING.it.txt
%attr(755,root,root) %{_bindir}/inkscape
%attr(755,root,root) %{_bindir}/inkview
%dir %{_datadir}/inkscape
%{_datadir}/inkscape/[!e]*
%{_datadir}/inkscape/examples
%dir %{_datadir}/inkscape/extensions
%{_datadir}/inkscape/extensions/Poly3DObjects/
%{_datadir}/inkscape/extensions/alphabet_soup/
%{_datadir}/inkscape/extensions/*.inx
%{_datadir}/inkscape/extensions/*.js
%{_datadir}/inkscape/extensions/*.xml
%{_datadir}/inkscape/extensions/*.xsl
%{_datadir}/inkscape/extensions/*.xslt
%attr(755,root,root) %{_datadir}/inkscape/extensions/*.pl
%attr(755,root,root) %{_datadir}/inkscape/extensions/*.pm
%attr(755,root,root) %{_datadir}/inkscape/extensions/*.py
%attr(755,root,root) %{_datadir}/inkscape/extensions/*.rb
%attr(755,root,root) %{_datadir}/inkscape/extensions/*.sh
%dir %{_datadir}/inkscape/extensions/Barcode
%attr(755,root,root) %{_datadir}/inkscape/extensions/Barcode/*.py
%dir %{_datadir}/inkscape/extensions/xaml2svg
%{_datadir}/inkscape/extensions/xaml2svg/*.xsl
%{_mandir}/man1/*.1*
%lang(fr) %{_mandir}/fr/man1/*.1*
%{_iconsdir}/hicolor/*/apps/inkscape.png
%{_desktopdir}/inkscape.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: inkscape.spec,v $
Revision 1.110  2012/06/13 19:25:30  arekm
- release 10 (by relup.sh)

Revision 1.109  2012/05/27 15:11:57  arekm
- rel 9; fix glib/poppler build

Revision 1.108  2012/05/24 12:58:59  arekm
- release 8

Revision 1.107  2012/02/10 17:01:49  arekm
- rel 7; libpng build fix

Revision 1.106  2012/02/10 14:56:47  arekm
- release 6

Revision 1.105  2012/02/07 22:03:05  arekm
- release 5

Revision 1.104  2011/11/24 07:24:45  arekm
- release 4

Revision 1.103  2011/11/13 10:58:14  arekm
- release 3

Revision 1.102  2011/11/13 10:57:39  arekm
- release 2

Revision 1.101  2011/09/09 16:54:57  lisu
- updated to 0.48.2

Revision 1.100  2011/06/14 08:52:14  lisu
- rel 4

Revision 1.99  2011/05/19 13:22:49  lisu
- rel 3

Revision 1.98  2011/03/01 14:14:16  lisu
- rel 2

Revision 1.97  2011/02/02 18:00:30  lisu
- up to 0.48.1
- -poppler-0.16.patch applied upstream

Revision 1.96  2010/12/29 12:01:43  lisu
- fix build with poppler 0.16

Revision 1.95  2010/12/29 11:51:53  lisu
- rel 8 (new poppler)

Revision 1.94  2010/12/17 21:25:36  arekm
- release 7

Revision 1.93  2010/11/25 20:40:43  hawk
- release 6

Revision 1.92  2010/08/25 16:54:11  hawk
- release 5

Revision 1.91  2010/08/16 19:49:50  wiget
- rename te_IN locale to te
- rel. 4

Revision 1.90  2010/08/16 19:13:30  arekm
- rel 3; fix locale deletion

Revision 1.89  2010/08/16 18:51:20  arekm
- rel 2; drop te_IN locale

Revision 1.88  2010/08/15 20:12:04  lisu
- updated to 0.48.0
- rm -poppler.patch and -gcc45.patch (applied upstream)
- changes in %%doc
- new dir for icons
- adapter

Revision 1.87  2010/08/12 12:59:54  lisu
- rel 6

Revision 1.86  2010/07/29 09:33:49  megabajt
- added -gcc45.patch (from Gentoo) and -ldl.patch
- release 5

Revision 1.85  2010/01/30 18:56:49  arekm
- release 4

Revision 1.84  2010/01/18 07:55:29  amateja
- release 3

Revision 1.83  2009/12/03 17:06:10  megabajt
- removed obsolete patches
- added -poppler.patch to fix build (it's workaround for lp#487038)
- revised deps
- release 2

Revision 1.82  2009/11/22 20:32:54  arekm
- up to final 0.47

Revision 1.81  2009/10/11 15:51:39  wrobell
- ver. 0.47 pre3

Revision 1.80  2009/10/03 19:11:33  pawelz
- rel 8

Revision 1.79  2009/09/26 22:43:31  wiget
- rel. 7

Revision 1.78  2009/06/13 11:03:14  pascalek
- Rel 6: slider, gcc44, early-png, gchar and install patches

Revision 1.77  2009/01/16 13:43:51  duddits
- rel. 5
- added gtk2.patch

Revision 1.76  2008/07/11 18:19:26  megabajt
- added -poppler.patch and -gcc43.patch
- release 4

Revision 1.75  2008/05/27 23:18:50  charles
- BR gtkmm-devel up to >= 2.10.0

Revision 1.74  2008-05-15 15:09:49  megabajt
- added S: python-lxml

Revision 1.73  2008-04-29 14:06:06  pluto
- reorganize boost BRs (boost-devel >= 1.35.0).

Revision 1.72  2008-04-13 17:00:02  arekm
- release 3

Revision 1.71  2008-03-27 10:21:31  patrys
- drop ca@valencia
- rel 2

Revision 1.70  2008-03-26 17:12:37  patrys
- 0.46
- patch0 doesn't seem to be needed

Revision 1.69  2007-12-20 21:54:11  patrys
- rel 5
- rebuild
- see if blur works

Revision 1.68  2007-11-04 23:09:46  ankry
- sr@Latn -> sr@latin, rel. 4

Revision 1.67  2007/10/11 22:54:31  wolf
- require newest gcc (fixes blur)
- rel 3

Revision 1.66  2007/04/17 21:32:01  megabajt
- rebuild to fix libstdc++ implementation change (_ZNSo9_M_insertEPKcl)
- release 2

Revision 1.65  2007/04/16 21:11:48  qboosh
- added CVE references

Revision 1.64  2007/04/08 18:15:52  megabajt
- added desktop patch

Revision 1.63  2007/04/07 15:15:54  qboosh
- updated to 0.45.1 [fixes CVE-2007-1463 CVE-2007-1464]

Revision 1.62  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.61  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.60  2007/02/06 14:47:54  rotom
- en_US@piglatin lang finally removed

Revision 1.59  2007/02/06 13:53:53  wolf
- missing files

Revision 1.58  2007/02/06 13:37:54  rotom
- up to 0.45
- en_US lang fixed

Revision 1.57  2006/11/19 21:15:59  qboosh
- unified bcond names (gnomeprint, gnomevfs)

Revision 1.56  2006/11/10 01:24:23  wolf
- 0.44.1

Revision 1.55  2006/10/08 12:48:03  vip
- missing R: when building with gnome vfs

Revision 1.54  2006/08/05 18:48:29  cieciwa
- release 4.

Revision 1.53  2006/07/23 21:40:42  wolf
- rel 3

Revision 1.52  2006/07/18 21:54:58  charles
- BR: gettext-devel, rpm-pythonprov

Revision 1.51  2006/07/13 10:29:23  cieciwa
- release 2 - to build with new libpng

Revision 1.50  2006/06/24 22:23:54  freetz
- bleeding edge deps, gnome-vfs bcond, let's send it to builders, rel.1

Revision 1.49  2006/06/23 22:58:50  wolf
- pack all extension files

Revision 1.48  2006/06/23 22:50:04  deejay1
- additional BR's

Revision 1.47  2006/06/23 22:10:08  deejay1
- up to 0.44
- rel. 0.9 - check TODO

Revision 1.46  2006/05/21 21:32:33  qboosh
- inkscape < 0.44 needs patch for freetype 2.2.x

Revision 1.45  2006/03/16 08:37:26  cieciwa
- release 2,
- s/xft-devel/xorg-lib-libXft-devel/

Revision 1.44  2005/12/11 12:59:22  qrczak
- inkscape-c++.patch: C++ fixes needed for gcc4.

Revision 1.43  2005/11/21 16:03:15  wolf
- more docs

Revision 1.42  2005/11/21 15:25:45  freetz
- 0.43, inkboard bcond

Revision 1.41  2005/09/12 10:07:42  freetz
- make use of rpm macros

Revision 1.40  2005/08/28 21:58:00  qboosh
- updated to 0.42.2

Revision 1.39  2005/07/31 12:05:45  wolf
- fix extensions
- rel 2

Revision 1.38  2005/07/28 16:51:37  qboosh
- quiet update-mime-database

Revision 1.37  2005/07/27 06:49:10  aredridel
- up to 0.42

Revision 1.36  2005/05/15 00:16:36  ankry
- %post shouldn't fail if no rw permission to /usr

Revision 1.35  2005/02/16 17:16:03  zawadaa
- add BR libxslt-devel

Revision 1.34  2005/02/14 20:14:52  qboosh
- runtime versioned deps (gc, gtk+)

Revision 1.33  2005/02/14 03:17:36  wrobell
- ver. 0.41

Revision 1.32  2005/01/06 20:22:01  qboosh
- ac from Ac is sufficient (it was am issue); removed obsolete todo

Revision 1.31  2005/01/06 09:23:32  wrobell
- newer ac/am tools are required to build the package

Revision 1.30  2005/01/05 22:45:50  havner
- rel 3 for aspell 0.50 rebuild

Revision 1.29  2004/12/28 00:22:05  qboosh
- missing dir, added needed .so symlink to plugin; release 2

Revision 1.28  2004/12/27 22:07:12  qboosh
- BR automake >= 1.7

Revision 1.27  2004/11/30 14:41:27  freetz
- dropped desktop patch (lack of additions in Categories, breaks
  compatibilty, got no real effect and takes extra time to upgrade it)

Revision 1.26  2004/11/30 13:05:54  ankry
- standardized license; is it 'or' or 'partially' another one?

Revision 1.25  2004/11/30 12:57:37  freetz
- builds, works, rel.1, STBR

Revision 1.24  2004/11/30 12:33:07  freetz
- licence update

Revision 1.23  2004/11/30 12:24:35  freetz
- rel. 0.2, update mime database, more %%files, disabled static build,
  remove unused files, desktop patch added

Revision 1.22  2004/11/30 11:45:17  freetz
- TODO added (automake 1.9.x bug)

Revision 1.21  2004/11/30 11:32:56  freetz
- BR: gc-devel, more BR update, relocation bcond added, rel. 0.1

Revision 1.20  2004/11/30 11:18:31  freetz
- started upgrade to 0.40, updated BRs, NFY work in progress, rel. 0.01

Revision 1.19  2004/11/27 18:52:07  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.18  2004/09/11 18:03:44  wolf
- correct group
- rel 2

Revision 1.17  2004/09/01 16:21:42  adamg
- s/pld-list/feedback/

Revision 1.16  2004/09/01 16:11:09  adamg
- kill pld.org.pl leftovers

Revision 1.15  2004/07/21 19:00:22  qboosh
- merged changes from DEVEL

Revision 1.14  2004/07/20 17:46:18  aredridel
- up to 0.39

Revision 1.13  2004/06/12 16:27:07  wrobell
- rel. 2

Revision 1.12  2004/06/12 16:26:46  wrobell
- typo

Revision 1.11.2.5  2004/07/18 12:51:24  freetz
- 0.39 final
- %%files, BRs updated, removed redundant bconds
- after some tests will be moved to HEAD

Revision 1.11.2.4  2004/06/22 16:19:32  djurban
- fix gnome print bcond

Revision 1.11.2.3  2004/06/06 12:09:11  freetz
- cosmetics

Revision 1.11.2.2  2004/06/06 11:59:46  freetz
- md5

Revision 1.11.2.1  2004/06/06 11:58:24  freetz
- starting preparation for 0.39 release (20040604 snapshot)
- locale names patch added
- new descriptions, more BRs, bcond fixes, full configure rebuild, misc
  fixes

Revision 1.11  2004/04/12 08:25:42  adamg
- added some bconds' descriptions
- cosmetics in one of the previous changelogs
- release 1

Revision 1.10  2004/04/12 08:15:11  adamg
- updated to 0.38.1

Revision 1.9  2004/02/28 12:26:35  grzegol
- s/BR: libsigc++-devel/libsigc++12-devel/

Revision 1.8  2004/02/18 16:20:22  grabba
- Requires perl-XML-XQL for extensions

Revision 1.7  2004/02/17 17:04:46  cieciwa
- version0.37,
- release 2.

Revision 1.6  2004/02/17 16:28:15  cieciwa
- version 0.37

Revision 1.5  2003/12/17 08:32:15  cieciwa
- rel 1.

Revision 1.4  2003/12/12 11:37:41  cieciwa
- added build conditions.

Revision 1.3  2003/12/12 11:31:27  qboosh
- files list

Revision 1.2  2003/12/12 11:21:35  qboosh
- BRs, descriptions, fixed configure

Revision 1.1  2003/12/12 10:58:45  cieciwa
- initial
